Skip to navigation

Update Product Modifier Value

Updates a modifier value.

Read-Only Fields

  • is_default

Setting an option value image adjusters.image_url is read-only on this endpoint. To replace the image shown on the storefront for the value, upload a new image via Create Product Modifier Image. The upload binds the image to the value automatically; no follow-up call is needed.

is_default is derived from the parent modifier configuration and cannot be set on individual values. To change which value is the default, use Update Product Modifier and include the full option_values array with the desired is_default flags.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

product_idintegerRequired
The ID of the product to which the resource belongs.
modifier_idintegerRequired
The ID of the product modifier.
value_idintegerRequired
The ID of the product modifier value.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

The model for a PUT to update a modifier value on a product.
labelstringRequired

The text display identifying the value on the storefront. Required in a /POST.

sort_orderintegerRequired

The order in which the value will be displayed on the product page. Required in a /POST.

value_dataobjectOptional

Extra data describing the value, based on the type of option or modifier with which the value is associated. See Option Values for more details.

adjustersobjectOptional
idintegerOptional

The unique numeric ID of the value; increments sequentially.

Response

OK
dataobjectOptional

Product modifier option_value.

metaobjectOptional
Response metadata.

Errors

422
Unprocessable Entity Error